Subject: [weirds] Publishing of draft-gould-epp-rdap-status-mapping

From: "Gould, James" <[email-masked]>
Date: Tue, 26 May 2015 17:02:02 +0000

I did analysis of the EPP statuses with the statuses registered for use in RDAP.  The draft-gould-epp-rdap-status-mapping I-D ( https://tools.ietf.org/html/draft-gould-epp-rdap-status-mapping-00 ) identifies the gaps and includes registration entries to fill the gaps to ensure that all of the EPP RFC statuses are supported by RDAP.  Please review and provide any feedback.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com<http://VerisignInc.com>

“This message (including any attachments) is intended only for the use of the individual or entity to which it is addressed, and may contain information that is non-public, proprietary, privileged, confidential and exempt from disclosure under applicable law or may be constituted as attorney work product. If you are not the intended recipient, you are hereby notified that any use, dissemination, distribution, or copying of this communication is strictly prohibited. If you have received this message in error, notify sender immediately and delete this message immediately.”

---

From: Andrew Newton <[email-masked]>
Date: Tue, 26 May 2015 13:31:31 -0400

On Tue, May 26, 2015 at 1:02 PM, Gould, James <[email-masked]> wrote:

>  I did analysis of the EPP statuses with the statuses registered for use
> in RDAP.  The draft-gould-epp-rdap-status-mapping I-D (
> https://tools.ietf.org/html/draft-gould-epp-rdap-status-mapping-00 )
> identifies the gaps and includes registration entries to fill the gaps to
> ensure that all of the EPP RFC statuses are supported by RDAP.  Please
> review and provide any feedback.
>
>
James,

There is already a similar value to "linked". It is "associated".

And I think it is great that you have written up an I-D on this, but
getting values into the registry simply requires providing the information
you have in Section 3.1 to the IANA, who will have the Expert Reviewers*
verify you have met the criteria. In other words, publication of an RFC is
not necessary.

*I don't know who they are. I don't even know if the IESG ever assigned any.

-andy

---

From: "Gould, James" <[email-masked]>
Date: Wed, 27 May 2015 15:01:11 +0000

Andy,

Thanks for the missed mapping of “linked” to “associated”.  I’ll update the draft accordingly.  I believe that in this case an I-D is needed to help formally define the EPP to RDAP status mapping.  It's not clear from section 10.2 “JSON Values Registry” of RFC 7483 what the process is to register new statuses.  Something similar to section 2.2.3 of RFC 7451 would be helpful, which defines the use of an e-mail to [email-masked]<mailto:[email-masked]> for registration.  In either event, I believe an I-D is required in this case.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

On May 26, 2015, at 1:31 PM, Andrew Newton <[email-masked]<mailto:[email-masked]>> wrote:

On Tue, May 26, 2015 at 1:02 PM, Gould, James <[email-masked]<mailto:[email-masked]>> wrote:
I did analysis of the EPP statuses with the statuses registered for use in RDAP.  The draft-gould-epp-rdap-status-mapping I-D ( https://tools.ietf.org/html/draft-gould-epp-rdap-status-mapping-00 ) identifies the gaps and includes registration entries to fill the gaps to ensure that all of the EPP RFC statuses are supported by RDAP.  Please review and provide any feedback.

James,

And I think it is great that you have written up an I-D on this, but getting values into the registry simply requires providing the information you have in Section 3.1 to the IANA, who will have the Expert Reviewers* verify you have met the criteria. In other words, publication of an RFC is not necessary.

-andy

---

From: Andrew Newton <[email-masked]>
Date: Wed, 27 May 2015 15:25:20 -0400

On Wed, May 27, 2015 at 11:01 AM, Gould, James <[email-masked]> wrote:

>  It's not clear from section 10.2 “JSON Values Registry” of RFC 7483 what
> the process is to register new statuses.  Something similar to section
> 2.2.3 of RFC 7451 would be helpful, which defines the use of an e-mail to
> [email-masked] for registration.
>

Ha! Not once in all the review and back-and-forth between the IESG and IANA
did that come up. But I believe that email address works for this registry
as well.

-andy

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 27 May 2015 20:20:27 -0700

On Wed, May 27, 2015 at 12:25 PM, Andrew Newton <[email-masked]> wrote:

>
> Ha! Not once in all the review and back-and-forth between the IESG and
> IANA did that come up. But I believe that email address works for this
> registry as well.
>

For registries that don't call out specific forms or email addresses,
there's a "general application form" available on the web site.

http://www.iana.org/protocols/apply

-MSK